Subject: bug#36250: [PATCH] Allow Emacs to be resized arbitrarily

From: Alan Mackenzie <[email-masked]>
Date: 17 Jun 2019 07:54:44 -0000

Hello, Eli.

In article <[email-masked]> you wrote:
>> From: Konstantin Kharlamov <[email-masked]>
>> Date: Sun, 16 Jun 2019 21:01:22 +0300
>> 
>> This constraint disallows standard compliant window managers to make
>> Emacs fullscreen on certain screen resolutions (ones that are not
>> multiple of width_inc and height_inc), or to expand Emacs to fill free
>> space on the screen (on certain sizes too).
>> 
>> It doesn't seem to do anything useful otherwise; besides some WMs
>> (like i3wm) just ignore this property anyway.
>> 
>> * src/xterm.c (x_wm_set_size_hint): don't set width_inc, height_inc, and
>>   GDK_HINT_RESIZE_INC.
>> * src/gtkutil.c (x_wm_set_size_hint): don't set width_inc, height_inc, and
>>   PResizeInc.
>> * src/emacsgtkfixed.c (XSetWMSizeHints): don't set width_inc and height_inc.

> Thanks, but after so many years of doing this stuff the way we do, and
> without any experts in this domain on board, I think we need to leave
> behind a "fire escape" -- a variable that users could set from Lisp to
> get back the old behavior.  There are too many window managers out
> there, and we cannot be sure none of them need the old code.

Yes.  Having a whole number of lines in a window is a legitimate thing to
want.

Also, I remember vaguely partial lines causing problems in Follow Mode in
the past.  In case they cause problems there again, or somewhere else, we
should have the ability to disable partial lines.

> Also, this change (and the variable to be added) should be called out
> in NEWS.

-- 
Alan Mackenzie (Nuremberg, Germany).